summaryrefslogtreecommitdiffstats
path: root/punani
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-09-12 15:01:01 +0200
committermakefu <github@syntax-fehler.de>2011-09-12 15:01:24 +0200
commit81ab02668cc37c6e540fbfbc23a32828901b4660 (patch)
tree0a34fe2079ee7fbcf6b20bc4e048ae8ba26938de /punani
parent89d92c55e7ddc0aec61ae8210592410f37f73502 (diff)
punani: deobfuscate source, handle multiple parms
Diffstat (limited to 'punani')
-rwxr-xr-xpunani/bin/punani12
1 files changed, 6 insertions, 6 deletions
diff --git a/punani/bin/punani b/punani/bin/punani
index 1dd72542..7278e38a 100755
--- a/punani/bin/punani
+++ b/punani/bin/punani
@@ -90,10 +90,10 @@ handle_system () {
mgr=`arch_aur_helper`
if $mgr -S $1 ;then
echo "++ finished"
- exit 0
+ return 0
else
echo "!! giving up...i am sorry"
- exit 1
+ return 1
fi
echo
else
@@ -241,10 +241,10 @@ case $role in
esac
shift `echo $OPTIND-1 | bc`
-guess_system
-
+guess_system
handle_system
-for name; do
- "$command" "$name"
+
+for name in "$@"; do
+ "$command" "$name" || echo "!! could not install $name"
done